<?php

    $wp_customize->register_section_type( 'Wpdevart_Premium_Features_List' );


	##################------ Premium Features Sections ------##################

	$wp_customize->add_section(
		new Wpdevart_Premium_Features_List(
			$wp_customize,
			'wpdevart_clothing_theme_general_features',
			array(
				'title'         => esc_html__( 'Even More Options in the Premium Version!', 'clothing' ),
                'upsell_link'  => apply_filters( 'parent_wpdevart_clothing_premium_features_url', esc_url('https://wpdevart.com/wordpress-clothing-theme')),
				'premium_features_list' => array(
					esc_html__( '+40 Other Popular Fonts', 'clothing' ),
					esc_html__( '+6 Beautiful Patterns', 'clothing' ),
					esc_html__( 'Preloader', 'clothing' ),
					esc_html__( 'Wide and Full-width Layouts', 'clothing' ),
					esc_html__( 'Customizable Search Overlay', 'clothing' ),
					esc_html__( 'Back To Top Button', 'clothing' ),
					esc_html__( '... and Other Premium Features', 'clothing' ),
				),
				'panel'         => 'wpdevart_clothing_general_settings_panel',
				'priority'      => 7777,
			)
		)
	);

	$wp_customize->add_section(
		new Wpdevart_Premium_Features_List(
			$wp_customize,
			'wpdevart_clothing_theme_header_features',
			array(
				'title'         => esc_html__( 'Even More Options in the Premium Version!', 'clothing' ),
                'upsell_link'  => apply_filters( 'parent_wpdevart_clothing_premium_features_url', esc_url('https://wpdevart.com/wordpress-clothing-theme')),
				'premium_features_list' => array(
					esc_html__( 'Sticky Header Feature', 'clothing' ),
					esc_html__( 'Sticky Header Feature for Mobile', 'clothing' ),
					esc_html__( 'Wide and Full-width Layouts', 'clothing' ),
                    esc_html__( 'Logo Animations', 'clothing' ),
					esc_html__( 'Search Button Animations', 'clothing' ),
                    esc_html__( 'Woo Cart Animations', 'clothing' ),
					esc_html__( '... and Other Premium Features', 'clothing' ),
				),
				'panel'         => 'wpdevart_clothing_header_panel',
				'priority'      => 7777,
			)
		)
	);

	$wp_customize->add_section(
		new Wpdevart_Premium_Features_List(
			$wp_customize,
			'wpdevart_clothing_theme_single_post_page_features',
			array(
				'title'         => esc_html__( 'Even More Options in the Premium Version!', 'clothing' ),
                'upsell_link'  => apply_filters( 'parent_wpdevart_clothing_premium_features_url', esc_url('https://wpdevart.com/wordpress-clothing-theme')),
				'premium_features_list' => array(
					esc_html__( 'Post/Page Title Animations', 'clothing' ),
					esc_html__( '+6 Beautiful Patterns', 'clothing' ),
					esc_html__( 'Post/Page Banner Animations', 'clothing' ),
					esc_html__( 'Breadcrumbs', 'clothing' ),
                    esc_html__( '4 Animated Banner Elements', 'clothing' ),
					esc_html__( 'Animated Elements Colors', 'clothing' ),
					esc_html__( '... and Other Premium Features', 'clothing' ),
				),
				'panel'         => 'wpdevart_clothing_single_post_page_panel',
				'priority'      => 7777,
			)
		)
	);

	$wp_customize->add_section(
		new Wpdevart_Premium_Features_List(
			$wp_customize,
			'wpdevart_clothing_theme_blog_archive_search_features',
			array(
				'title'         => esc_html__( 'Even More Options in the Premium Version!', 'clothing' ),
                'upsell_link'  => apply_filters( 'parent_wpdevart_clothing_premium_features_url', esc_url('https://wpdevart.com/wordpress-clothing-theme')),
				'premium_features_list' => array(
					esc_html__( 'Images Hover Effects', 'clothing' ),
					esc_html__( 'Archive/Search Page Title Animations', 'clothing' ),
                    esc_html__( 'Archive/Search Page Banner Animations', 'clothing' ),
					esc_html__( '4 Animated Elements', 'clothing' ),
                    esc_html__( 'Animated Elements Colors', 'clothing' ),
					esc_html__( '... and Other Premium Features', 'clothing' ),
				),
				'panel'         => 'wpdevart_clothing_blog_archive_search_panel',
				'priority'      => 7777,
			)
		)
	);

    $wp_customize->add_section(
		new Wpdevart_Premium_Features_List(
			$wp_customize,
			'wpdevart_clothing_theme_custom_homepage_features',
			array(
				'title'         => esc_html__( 'Even More Options in the Premium Version!', 'clothing' ),
                'upsell_link'  => apply_filters( 'parent_wpdevart_clothing_premium_features_url', esc_url('https://wpdevart.com/wordpress-clothing-theme')),
				'premium_features_list' => array(
					esc_html__( '+5 Beautiful Banner Themes', 'clothing' ),
					esc_html__( 'WooCommerce Section', 'clothing' ),
					esc_html__( 'Achievements Section', 'clothing' ),
					esc_html__( 'Advantages Section', 'clothing' ),
					esc_html__( 'Services Section', 'clothing' ),
					esc_html__( 'Wide and Full-width Layouts', 'clothing' ),
					esc_html__( '... and Other Premium Features', 'clothing' ),
				),
				'panel'         => 'wpdevart_clothing_custom_homepage_panel',
				'priority'      => 7777,
			)
		)
	);

	$wp_customize->add_section(
		new Wpdevart_Premium_Features_List(
			$wp_customize,
			'wpdevart_clothing_theme_woo_features',
			array(
				'title'         => esc_html__( 'Even More Options in the Premium Version!', 'clothing' ),
                'upsell_link'  => apply_filters( 'parent_wpdevart_clothing_premium_features_url', esc_url('https://wpdevart.com/wordpress-clothing-theme')),
				'premium_features_list' => array(
                    esc_html__( 'WooCommerce Search Bar Section', 'clothing' ),
					esc_html__( 'Customizable Header Cart', 'clothing' ),
					esc_html__( 'Breadcrumbs', 'clothing' ),
					esc_html__( 'Wide and Full-width Layouts', 'clothing' ),
                    esc_html__( 'Customizable Category List and Search Bar', 'clothing' ),
					esc_html__( 'WooCommerce Sidebar Options', 'clothing' ),
					esc_html__( '... and Other Premium Features', 'clothing' ),
				),
				'panel'         => 'wpdevart_clothing_woocommerce_settings_panel',
				'priority'      => 7777,
			)
		)
	);
        
    ##################------ Premium Features Controls------##################

    $wp_customize->add_setting( 'wpdevart_clothing_logo_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_clothing_text_sanitization',
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_clothing_logo_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'clothing' ),
        'section' => 'title_tagline',
        'priority' => 50,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Text Logo animations', 'clothing' )
            ),
            'feature2' => array(
                'name' => esc_html__( 'Text Logo font-size', 'clothing' )
            ),
            'feature3' => array(
                'name' => esc_html__( 'Text Logo font weight', 'clothing' )
            ),
            'feature4' => array(
                'name' => esc_html__( '... and Other Premium Features', 'clothing' )
            ),
        )
    )
    ) );

    $wp_customize->add_setting( 'wpdevart_clothing_font_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_clothing_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_clothing_font_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'clothing' ),
        'section' => 'wpdevart_clothing_fonts_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( '+40 Other Popular Fonts', 'clothing' )
            ),
            'feature2' => array(
                'name' => esc_html__( '... and Other Premium Features', 'clothing' )
            ),
        )
    )
    ) );

    $wp_customize->add_setting( 'wpdevart_clothing_header_general_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_clothing_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_clothing_header_general_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'clothing' ),
        'section' => 'wpdevart_clothing_header_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Sticky Header Feature', 'clothing' )
            ),
            'feature2' => array(
                'name' => esc_html__( 'Sticky Header Feature for Mobile', 'clothing' )
            ),
            'feature3' => array(
                'name' => esc_html__( 'Animations for Header Elements', 'clothing' )
            ),
            'feature4' => array(
                'name' => esc_html__( '... and Other Premium Features', 'clothing' )
            ),
        )
    )
    ) );

    $wp_customize->add_setting( 'wpdevart_clothing_top_header_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_clothing_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_clothing_top_header_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'clothing' ),
        'section' => 'wpdevart_clothing_top_header_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Address Section', 'clothing' )
            ),
            'feature2' => array(
                'name' => esc_html__( 'Phone/Email/Address Icon Color', 'clothing' )
            ),
            'feature3' => array(
                'name' => esc_html__( 'Animations for Top Header Elements', 'clothing' )
            ),
            'feature4' => array(
                'name' => esc_html__( '... and Other Premium Features', 'clothing' )
            ),
        )
    )
    ) );
    
    $wp_customize->add_setting( 'wpdevart_clothing_header_menu_search_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_clothing_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_clothing_header_menu_search_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'clothing' ),
        'section' => 'wpdevart_clothing_header_menu_search_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Search Button Animations', 'clothing' )
            ),
            'feature2' => array(
                'name' => esc_html__( '... and Other Premium Features', 'clothing' )
            ),
        )
    )
    ) );

	if ( class_exists( 'WooCommerce' ) ) {
    $wp_customize->add_setting( 'wpdevart_clothing_header_woo_cart_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_clothing_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_clothing_header_woo_cart_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'clothing' ),
        'section' => 'wpdevart_clothing_header_woo_cart',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Woo Cart Animations', 'clothing' )
            ),
            'feature2' => array(
                'name' => esc_html__( '... and Other Premium Features', 'clothing' )
            ),
        )
    )
    ) );
    };

    $wp_customize->add_setting( 'wpdevart_clothing_single_post_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_clothing_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_clothing_single_post_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'clothing' ),
        'section' => 'wpdevart_clothing_single_post_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Title Animations', 'clothing' )
            ),
            'feature2' => array(
                'name' => esc_html__( 'Banner Animations', 'clothing' )
            ),
            'feature3' => array(
                'name' => esc_html__( '4 Animated Elements', 'clothing' )
            ),
            'feature4' => array(
                'name' => esc_html__( 'Animated Elements Colors', 'clothing' )
            ),
            'feature5' => array(
                'name' => esc_html__( '+6 Beautiful Patterns', 'clothing' )
            ),
            'feature6' => array(
                'name' => esc_html__( '... and Other Premium Features', 'clothing' )
            ),
        )
    )
    ) );
    $wp_customize->add_setting( 'wpdevart_clothing_single_page_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_clothing_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_clothing_single_page_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'clothing' ),
        'section' => 'wpdevart_clothing_single_page_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Title Animations', 'clothing' )
            ),
            'feature2' => array(
                'name' => esc_html__( 'Banner Animations', 'clothing' )
            ),
            'feature3' => array(
                'name' => esc_html__( '4 Animated Elements', 'clothing' )
            ),
            'feature4' => array(
                'name' => esc_html__( 'Animated Elements Colors', 'clothing' )
            ),
            'feature5' => array(
                'name' => esc_html__( '+6 Beautiful Patterns', 'clothing' )
            ),
            'feature6' => array(
                'name' => esc_html__( '... and Other Premium Features', 'clothing' )
            ),
        )
    )
    ) );

    $wp_customize->add_setting( 'wpdevart_clothing_blog_archive_page_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_clothing_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_clothing_blog_archive_page_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'clothing' ),
        'section' => 'wpdevart_clothing_blog_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Title Animations', 'clothing' )
            ),
            'feature2' => array(
                'name' => esc_html__( 'Banner Animations', 'clothing' )
            ),
            'feature3' => array(
                'name' => esc_html__( '4 Animated Elements', 'clothing' )
            ),
            'feature4' => array(
                'name' => esc_html__( 'Animated Elements Colors', 'clothing' )
            ),
            'feature5' => array(
                'name' => esc_html__( '... and Other Premium Features', 'clothing' )
            ),
        )
    )
    ) );
    $wp_customize->add_setting( 'wpdevart_clothing_search_page_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_clothing_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_clothing_search_page_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'clothing' ),
        'section' => 'wpdevart_clothing_search_page_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Title Animations', 'clothing' )
            ),
            'feature2' => array(
                'name' => esc_html__( 'Banner Animations', 'clothing' )
            ),
            'feature3' => array(
                'name' => esc_html__( '4 Animated Elements', 'clothing' )
            ),
            'feature4' => array(
                'name' => esc_html__( 'Animated Elements Colors', 'clothing' )
            ),
            'feature5' => array(
                'name' => esc_html__( '... and Other Premium Features', 'clothing' )
            ),
        )
    )
    ) );
    $wp_customize->add_setting( 'wpdevart_clothing_blog_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_clothing_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_clothing_blog_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'clothing' ),
        'section' => 'wpdevart_clothing_blog_archive_search_general_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Images Hover Effects', 'clothing' )
            ),
            'feature2' => array(
                'name' => esc_html__( '... and Other Premium Features', 'clothing' )
            ),
        )
    )
    ) );